<?php
#  Define Root Environment Variable
#      For beroNet Devices

// sbc running on virtual environment
if (file_exists('/etc/beroNet/sbc.conf')) {
	define('HAS_HWBASE', 0);

	extract(parse_ini_file('/etc/beroNet/sbc.conf'));
	define('HOST', $HOST);
	define('SERIAL', $SBCVM_SERIAL);

	define('SBCVM_IP', $SBCVM_IP);

	define('SIP_USERAGENT_LAN_DEFAULT', 'Cloud SBC v{FIRMWARE}');
	define('SIP_USERAGENT_WAN_DEFAULT', 'Cloud SBC');
}

// set default variable ... aka => std sbc
defined('HAS_HWBASE') or define('HAS_HWBASE', 1);

defined('HOST')   or define("HOST", 'default');
defined('SERIAL') or define("SERIAL", trim(file_get_contents('/sys/class/beronet/gateway/serial')));

defined('SIP_USERAGENT_LAN_DEFAULT') or define("SIP_USERAGENT_LAN_DEFAULT", 'Berofix VoIP Gateway v{FIRMWARE}');
defined('SIP_USERAGENT_WAN_DEFAULT') or define("SIP_USERAGENT_WAN_DEFAULT", 'Berofix VoIP Gateway');
?>
